#pragma once
#include <streams.h>

class CUDA_VideoRenderer : public CBaseVideoRenderer
{
private:

	HANDLE m_hCudaThread;

public:

	CUDA_VideoRenderer(LPUNKNOWN pUnk, HRESULT *phr);

	virtual ~CUDA_VideoRenderer();

	static CUnknown* WINAPI CreateInstance(LPUNKNOWN pUnkOuter, HRESULT *phr);

	HRESULT CheckMediaType(const CMediaType *pmt);

	HRESULT SetMediaType(const CMediaType *pmt);

	HRESULT DoRenderSample(IMediaSample *pMediaSample);

	HRESULT BreakConnect(void);
};